## ros-kinetic-kinesis-video-streamer 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)
project(kinesis_video_streamer)
set(CMAKE_CXX_STANDARD 14)

###################################
## non-catkin packages           ##
###################################
include(FindCURL)
find_package(kinesis_manager REQUIRED)

# KPL configuration
set(PRODUCER_LIBRARY producer)
set(LOG_LIBRARY log4cplus)

###################################
## catkin specific configuration ##
###################################
find_package(catkin REQUIRED COMPONENTS
        aws_common
        aws_ros1_common
        kinesis_video_msgs
        roscpp
        image_transport
        std_msgs)
catkin_package()

###########
## Build ##
###########
## Declare a C++ executable
set(KINESIS_VIDEO_STREAMER_SRC src/ros_stream_subscription_installer.cpp src/subscriber_callbacks.cpp src/streamer.cpp)
add_executable(${PROJECT_NAME} src/main.cpp ${KINESIS_VIDEO_STREAMER_SRC})
add_library(${PROJECT_NAME}_lib ${KINESIS_VIDEO_STREAMER_SRC})
## Specify include directories
target_include_directories(${PROJECT_NAME} PRIVATE include ${catkin_INCLUDE_DIRS} ${kinesis_manager_INCLUDE_DIRS})
target_include_directories(${PROJECT_NAME}_lib PUBLIC include ${catkin_INCLUDE_DIRS} ${kinesis_manager_INCLUDE_DIRS})
## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${kinesis_manager_LIBRARIES} ${PRODUCER_LIBRARY} ${LOG_LIBRARY} ${CURL_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_lib ${catkin_LIBRARIES} ${kinesis_manager_LIBRARIES} ${PRODUCER_LIBRARY} ${CURL_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
install(DIRECTORY config/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)
install(FILES kvs_log_configuration DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Tests ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_kinesis_video_streamer
    test/test_kinesis_video_streamer.test
    test/kinesis_video_streamer_test.cpp
  )
  target_include_directories(test_kinesis_video_streamer PRIVATE
    include
    ${catkin_INCLUDE_DIRS}
    ${kinesis_manager_INCLUDE_DIRS}
  )
  target_link_libraries(test_kinesis_video_streamer
    ${PROJECT_NAME}_lib
    ${catkin_LIBRARIES}
  )

  find_package(GMock QUIET)
  if(GMOCK_FOUND)
    add_rostest_gmock(test_streamer_node
    	test/test_streamer_node.test
    	test/streamer_node_test.cpp
    )
    target_include_directories(test_streamer_node PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${kinesis_manager_INCLUDE_DIRS}
      ${GMOCK_INCLUDE_DIRS}
    )
    target_link_libraries(test_streamer_node
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${GMOCK_BOTH_LIBRARIES}
    )
  else()
    include_directories(/usr/include/gmock /usr/src/gmock)
    add_library(${PROJECT_NAME}_libgmock SHARED /usr/src/gmock/src/gmock-all.cc)

    add_rostest_gtest(test_streamer_node
      test/test_streamer_node.test
      test/streamer_node_test.cpp
    )
    target_include_directories(test_streamer_node PRIVATE
      include
      ${catkin_INCLUDE_DIRS}
      ${kinesis_manager_INCLUDE_DIRS}
    )
    target_link_libraries(test_streamer_node
      ${PROJECT_NAME}_lib
      ${catkin_LIBRARIES}
      ${PROJECT_NAME}_libgmock
    )
  endif()
endif()

=== debian/changelog ===
ros-kinetic-kinesis-video-streamer (2.0.3-1xenial) xenial; urgency=high

  * Merge pull request #49 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/49> from aws-robotics/master
    * Ignore test files in coverage calculation
    * Update README.md to install build tool (#40 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/40>)
    * Remove "using namespace std" from headers, even in tests (#47 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/47>)
    Co-authored-by: AAlon <mailto:avishaya@amazon.com>
    Co-authored-by: Abby Xu <mailto:30247381+xabxx@users.noreply.github.com>
  * Remove "using namespace std" from headers, even in tests (#47 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/47>)
  * Contributors: Emerson Knapp

 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 01 Sep 2020 07:00:00 -0000

ros-kinetic-kinesis-video-streamer (2.0.2-1xenial) xenial; urgency=high

  * increment patch version (#38 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/38>)
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Remove conditions on ROS version in package.xml (#35 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/35>)
  * Use standard CMake macros for adding gtest/gmock tests (#33 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/33>)
    * modify kinesis_video_streamer to use add_rostest_gmock()
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * update travis.yml to be compatible with specifying multiple package names
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
  * Update changelog (#23 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/23>)
    * Release 2.0.1
    * 2.0.1
  * Setting frame's trackId to the default for compatibility with newer v… (#21 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/21>)
    * Setting frame's trackId to the default for compatibility with newer version of the Kinesis Producer SDK.
    * Update version in package.xml
  * Contributors: AAlon, M. M

 -- AWS RoboMaker <ros-contributions@amazon.com>  Thu, 01 Aug 2019 07:00:00 -0000

ros-kinetic-kinesis-video-streamer (2.0.1-1xenial) xenial; urgency=high

  * Setting frame's trackId to the default for compatibility with newer v… (#21 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/21>)
    * Setting frame's trackId to the default for compatibility with newer version of the Kinesis Producer SDK.
    * Update version in package.xml
  * Contributors: AAlon

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 29 Mar 2019 07:00:00 -0000

ros-kinetic-kinesis-video-streamer (2.0.0-1xenial) xenial; urgency=high

  * Improve GMock dependency resolution in CMakeLists.txt
  * Fix gmock dependency in CMakeLists.txt
  * Remove extra space from subscription_installer
  * Refactor StreamerNode class, add tests
    - Refactor the StreamerNode into its own class without the main()
    function so that it can have its own test suite.
    - Split Initialize function into two to be able to unit tests the initialization
    without mocking out the remote kinesis calls in stream setup.
    - Add more tests to improve code coverage.
  * use log4cplus from apt
  * Update to use non-legacy ParameterReader API (#11 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/11>)
  * Update to use new ParameterReader API (#10 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/10>)
    * adjust usage of the ParameterReader API
    * remove unnecessary dependencies for travis build
    * increment major version number in package.xml
  * Use separate node and stream config in example (#5 <https://github.com/aws-robotics/kinesisvideo-ros1/issues/5>)
  * Contributors: Avishay Alon, Juan Rodriguez Hortala, M. M, Miaofei, Ross Desmond, Tim Robinson

 -- AWS RoboMaker <ros-contributions@amazon.com>  Wed, 20 Mar 2019 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kinesis-video-streamer
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libgtest-dev, ros-kinetic-aws-common, ros-kinetic-aws-ros1-common, ros-kinetic-catkin, ros-kinetic-image-transport, ros-kinetic-kinesis-manager, ros-kinetic-kinesis-video-msgs, ros-kinetic-roscpp, ros-kinetic-rostest, ros-kinetic-rostopic, ros-kinetic-std-msgs
Homepage: http://wiki.ros.org/kinesis_video_streamer
Standards-Version: 3.9.2

Package: ros-kinetic-kinesis-video-streamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-aws-common, ros-kinetic-aws-ros1-common, ros-kinetic-image-transport, ros-kinetic-kinesis-manager, ros-kinetic-kinesis-video-msgs, ros-kinetic-roscpp, ros-kinetic-std-msgs
Description: Kinesis Video Streams producer node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kinesis-video-streamer//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
